Titanium.API.info('Einstellungen.js Start.');

var win = Titanium.UI.currentWindow;

var MaxAnzahl = 10;

//MaxAnzahl lesen
if (Ti.App.Properties.hasProperty('MaxAnzahl'))
{
	MaxAnzahl = Ti.App.Properties.getInt('MaxAnzahl');
	Titanium.API.info('Max. Anzahl = ' + MaxAnzahl + '.');
}

var lbMaxAnzahl = Titanium.UI.createLabel({
	text:'Maximale Anzahl der Einträge',
	left:30,
	top:10,
	width:260,
	height:'auto'
});
win.add(lbMaxAnzahl);

var fldMaxAnzahl = Titanium.UI.createTextField({
	hintText:'Maximale Anzahl Einträge',
	left:30,
	top:35,
	width:260,
	height:40,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
	value:''+MaxAnzahl
});
win.add(fldMaxAnzahl);

var btnSpeichern = Titanium.UI.createButton({
	title:'Anwenden',
	left:30,
	top:80,
	width:260,
	height:30
});
win.add(btnSpeichern);

// Beim Klick wird dieser Button aktiv (grüner Rahmen)
btnSpeichern.addEventListener('click', function()
{
	// Nur Speichern, wenn Anzahl geändert wurde
	if (MaxAnzahl != fldMaxAnzahl.value)
	{
		MaxAnzahl = fldMaxAnzahl.value;
		Ti.App.Properties.setInt('MaxAnzahl', MaxAnzahl);
		Titanium.API.info('MaxAnzahl = ' + MaxAnzahl + '.');
		
		// Nun der App (-> Liste.js) Bescheid geben, dass sich MaxAnzahl geändert hat
		Titanium.App.fireEvent('MaxAnzahlChanged', {MaxAnzahl:MaxAnzahl});
	}
});

Titanium.API.info('Einstellungen.js Ende.');
